Skip to main content
GET
/
public-api
/
templates
List agent/workflow templates
curl --request GET \
  --url https://api.neoagent.io/public-api/templates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "actions": [
        {}
      ],
      "agent_settings": {},
      "callback_settings": {},
      "category": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": 123,
      "integrations": {},
      "name": "<string>",
      "popular": true,
      "process_entities_sequentially": true,
      "required_integrations": [
        "<string>"
      ],
      "schedule": {},
      "scope": 123,
      "supported_psas": [],
      "tagline": "<string>",
      "toolbox": {},
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

autonomy_type
string

Filter by autonomy type (CHAINED_ACTIONS / AGENTIC / CONVERSATIONAL).

Response

Success.

data
PublicTemplate · object[]
required
meta
object
required